summaryrefslogtreecommitdiffstats
path: root/graphics/wayland-egl
diff options
context:
space:
mode:
author Duncan Roe <duncan_roe@optusnet.com.au>2017-04-29 07:25:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-29 07:27:59 +0700
commitc2d71ac27ca498c27f8024ebeb56fe82a554e10e (patch)
tree03a2540d356c838c9835dd78ed7d4bce6192ed55 /graphics/wayland-egl
parent853ed309029dd2b068a931dd806226a5b1a32966 (diff)
downloadslackbuilds-c2d71ac27ca498c27f8024ebeb56fe82a554e10e.tar.gz
slackbuilds-c2d71ac27ca498c27f8024ebeb56fe82a554e10e.tar.xz
graphics/wayland-egl: Added (mesa EGL component).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/wayland-egl')
-rw-r--r--graphics/wayland-egl/README12
-rw-r--r--graphics/wayland-egl/slack-desc19
-rw-r--r--graphics/wayland-egl/wayland-egl.SlackBuild103
-rw-r--r--graphics/wayland-egl/wayland-egl.info10
4 files changed, 144 insertions, 0 deletions
diff --git a/graphics/wayland-egl/README b/graphics/wayland-egl/README
new file mode 100644
index 0000000000..dbd1aeca18
--- /dev/null
+++ b/graphics/wayland-egl/README
@@ -0,0 +1,12 @@
+wayland-egl (mesa EGL component)
+
+The Wayland display server protocol uses EGL. If you build qt5 with
+its optional dependency wayland and then build vlc then vlc will
+require wayland-egl.
+
+EGL is an interface between Khronos rendering APIs (such as OpenGL,
+OpenGL ES or OpenVG) and the underlying native platform windowing
+system. EGL handles graphics context management, surface/buffer
+binding, rendering synchronization, and enables "high-performance,
+accelerated, mixed-mode 2D APIs". EGL is managed by the non-profit
+technology consortium Khronos Group.
diff --git a/graphics/wayland-egl/slack-desc b/graphics/wayland-egl/slack-desc
new file mode 100644
index 0000000000..90e73f0ec1
--- /dev/null
+++ b/graphics/wayland-egl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wayland-egl: wayland-egl (mesa EGL component)
+wayland-egl:
+wayland-egl: EGL is an interface between Khronos rendering APIs (such as OpenGL,
+wayland-egl: OpenGL ES or OpenVG) and the underlying native platform windowing
+wayland-egl: system. EGL handles graphics context management, surface/buffer
+wayland-egl: binding, rendering synchronization, and enables "high-performance,
+wayland-egl: accelerated, mixed-mode 2D APIs". EGL is managed by the non-profit
+wayland-egl: technology consortium Khronos Group.
+wayland-egl: The Wayland display server protocol uses EGL. If you build qt5 with
+wayland-egl: its optional dependency wayland and then build vlc then vlc will
+wayland-egl: require wayland-egl.
diff --git a/graphics/wayland-egl/wayland-egl.SlackBuild b/graphics/wayland-egl/wayland-egl.SlackBuild
new file mode 100644
index 0000000000..b9837647bd
--- /dev/null
+++ b/graphics/wayland-egl/wayland-egl.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for wayland-egl
+
+# Copyright 2017 Duncan Roe, Melbourne, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wayland-egl
+VERSION=${VERSION:-17.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+libtoolize
+aclocal
+autoreconf --install
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make check
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/wayland-egl/wayland-egl.info b/graphics/wayland-egl/wayland-egl.info
new file mode 100644
index 0000000000..49585a2338
--- /dev/null
+++ b/graphics/wayland-egl/wayland-egl.info
@@ -0,0 +1,10 @@
+PRGNAM="wayland-egl"
+VERSION="17.0.4"
+HOMEPAGE="https://www.mesa3d.org/"
+DOWNLOAD="https://github.com/duncan-roe/wayland-egl/archive/v17.0.4/wayland-egl-17.0.4.tar.gz"
+MD5SUM="be5670c106bf1e5859e5580f898d688b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wayland"
+MAINTAINER="Duncan Roe"
+EMAIL="duncan_roe@optusnet.com.au"